## pim-data-exporter 25.12.1

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.6.1")
project(pim-data-exporter VERSION ${PIM_VERSION})
set(RELEASE_SERVICE_VERSION "25.12.1")
set(KF_MIN_VERSION "6.18.0")
# Update it for each release
set(PIMDATAEXPORTER_RELEASE_VERSION_DATE "26.01.05") # yy.MM.dd
set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)

include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    gui/*.cpp
    gui/*.h
    core/*.cpp
    core/*.h
    console/*.cpp
    console/*.h
)

set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()
include(ECMCheckOutboundLicense)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    gui/*.cpp
    gui/*.h
    core/*.cpp
    core/*.h
    console/*.cpp
    console/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

# Do NOT add quote
set(KDEPIM_DEV_VERSION)

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")

set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "6")

set(QT_REQUIRED_VERSION "6.8.0")
if(BUILD_TESTING)
    find_package(
        Qt6
        ${QT_REQUIRED_VERSION}
        CONFIG
        REQUIRED
            Widgets
            Test
    )
endif()

set(AKONADI_VERSION "6.6.1")
set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.1")
set(KMAILTRANSPORT_LIB_VERSION "6.6.1")
set(KMIME_LIB_VERSION "6.6.1")

set(MAILCOMMON_LIB_VERSION "6.6.1")
set(PIMCOMMON_LIB_VERSION "6.6.1")
set(KTEXTADDONS_MIN_VERSION "1.8.0")

# Find KF6 package
find_package(KF6Archive ${KF_MIN_VERSION} REQUIRED)
find_package(KF6Config ${KF_MIN_VERSION} REQUIRED)
find_package(KF6CoreAddons ${KF_MIN_VERSION} REQUIRED)
find_package(KF6Crash ${KF_MIN_VERSION} REQUIRED)
find_package(KF6ItemViews ${KF_MIN_VERSION} REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} REQUIRED)
find_package(KF6Notifications ${KF_MIN_VERSION} REQUIRED)
find_package(KF6WidgetsAddons ${KF_MIN_VERSION} REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} REQUIRED)
find_package(KF6StatusNotifierItem ${KF_MIN_VERSION} REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} QUIET)

find_package(KF6DocTools ${KF_MIN_VERSION})
set_package_properties(
    KF6DocTools
    PROPERTIES
        DESCRIPTION
            "Tools to generate documentation"
        TYPE
            OPTIONAL
)

if(NOT WIN32 AND NOT APPLE)
    find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
endif()

# Find KdepimLibs Package
find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF6Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6IdentityManagementCore ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailCommon ${MAILCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextCustomEditor ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6UserFeedback ${KF_MIN_VERSION} CONFIG)
set_package_properties(
    KF6UserFeedback
    PROPERTIES
        DESCRIPTION
            "User Feedback lib"
        TYPE
            OPTIONAL
        PURPOSE
            "Allow to send Telemetry Information (optional). It can be disable in apps."
)

if(TARGET KF6::UserFeedbackWidgets)
    set(PIMDATAEXPORTER_WITH_KUSERFEEDBACK true)
endif()

find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG)
set_package_properties(
    KF6TextAddonsWidgets
    PROPERTIES
        DESCRIPTION
            "Add text addons widget"
        TYPE
            REQUIRED
)

if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.44)
    set(HAVE_TEXTUTILS_HAS_WHATSNEW_SUPPORT TRUE)
endif()

include_directories(
    ${pim-data-exporter_SOURCE_DIR}
    ${pim-data-exporter_BINARY_DIR}
)

add_definitions(-DTRANSLATION_DOMAIN=\"pimdataexporter\")

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

configure_file(pimdataexporter-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/pimdataexporter-version.h @ONLY)

if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
endif()
configure_file(config-pimdataexporter.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-pimdataexporter.h)

add_subdirectory(core)
add_subdirectory(gui)
add_subdirectory(console)

ecm_qt_install_logging_categories(
        EXPORT PIMDATAEXPORTER
        FILE pimdataexporter.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

install(FILES org.kde.pimdataexporter.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

if(KF6DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()
if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
pim-data-exporter (4:25.12.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 20 Jan 2026 21:39:23 +0100

pim-data-exporter (4:25.12.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 13 Jan 2026 12:50:31 +0100

pim-data-exporter (4:25.08.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Dec 2025 18:01:02 +0100

pim-data-exporter (4:25.08.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Nov 2025 21:25:51 +0100

=== debian/control ===
Source: pim-data-exporter
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               libakonadi-dev (>= 4:25.12.1~),
               libkf6archive-dev (>= 6.18.0~),
               libkf6calendarcore-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6contacts-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6iconthemes-dev (>= 6.18.0~),
               libkf6itemviews-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6statusnotifieritem-dev (>= 6.18.0~),
               libkf6userfeedback-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.18.0~),
               libkf6xmlgui-dev (>= 6.18.0~),
               libkidentitymanagement-dev (>= 25.12.1~),
               libkmailtransport-dev (>= 25.12.1~),
               libkmime-dev (>= 25.12.1~),
               libktextaddons-dev (>= 1.8.0~),
               libmailcommon-dev (>= 4:25.12.1~),
               libpimcommon-dev (>= 4:25.12.1~),
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               xauth,
               xvfb,
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/pim/pim-data-exporter
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/pim-data-exporter
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/pim-data-exporter.git
Rules-Requires-Root: no

Package: pim-data-exporter
Section: utils
Architecture: amd64 arm64 armhf i386
Depends: kio6,
         ${misc:Depends},
         ${shlibs:Depends},
Description: back up and archive PIM data
 An application to assist you with backing up and archiving PIM data,
 including the necessary configuration, for archival or transfer to another
 computer.

## pim-data-exporter 25.12.1+p24.04+vstable+git20260128.0427

=== debian/changelog ===
pim-data-exporter (4:25.12.1+p24.04+vstable+git20260128.0427-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 04:27:11 +0000

pim-data-exporter (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:27:59 +1000

## pim-data-exporter 25.12.1+p24.04+vstable+git20260130.1238

=== debian/changelog ===
pim-data-exporter (4:25.12.1+p24.04+vstable+git20260130.1238-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 12:38:05 +0000

## pim-data-exporter 25.12.1+p24.04+vunstable+git20260204.0132

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
-# SPDX-FileCopyrightText: 2011-2025 Laurent Montel <montel@kde.org>
+# SPDX-FileCopyrightText: 2011-2026 Laurent Montel <montel@kde.org>
 # SPDX-License-Identifier: BSD-3-Clause
-cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.1")
+cmake_minimum_required(VERSION 3.27)
+set(PIM_VERSION "6.6.40")
 project(pim-data-exporter VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "25.12.1")
-set(KF_MIN_VERSION "6.18.0")
+set(RELEASE_SERVICE_VERSION "26.03.40")
+set(KF_MIN_VERSION "6.21.0")
 # Update it for each release
-set(PIMDATAEXPORTER_RELEASE_VERSION_DATE "26.01.05") # yy.MM.dd
+set(PIMDATAEXPORTER_RELEASE_VERSION_DATE "26.03.10") # yy.MM.dd
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -65,7 +65,7 @@
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION)
+set(KDEPIM_DEV_VERSION alpha)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -77,7 +77,7 @@
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
-set(QT_REQUIRED_VERSION "6.8.0")
+set(QT_REQUIRED_VERSION "6.9.0")
 if(BUILD_TESTING)
     find_package(
         Qt6
@@ -89,14 +89,14 @@
     )
 endif()
 
-set(AKONADI_VERSION "6.6.1")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.1")
-set(KMAILTRANSPORT_LIB_VERSION "6.6.1")
-set(KMIME_LIB_VERSION "6.6.1")
-
-set(MAILCOMMON_LIB_VERSION "6.6.1")
-set(PIMCOMMON_LIB_VERSION "6.6.1")
-set(KTEXTADDONS_MIN_VERSION "1.8.0")
+set(AKONADI_VERSION "6.6.40")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.40")
+set(KMAILTRANSPORT_LIB_VERSION "6.6.40")
+set(KMIME_LIB_VERSION "6.6.40")
+
+set(MAILCOMMON_LIB_VERSION "6.6.40")
+set(PIMCOMMON_LIB_VERSION "6.6.40")
+set(KTEXTADDONS_MIN_VERSION "1.9.1")
 
 # Find KF6 package
 find_package(KF6Archive ${KF_MIN_VERSION} REQUIRED)
@@ -161,10 +161,6 @@
             REQUIRED
 )
 
-if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.44)
-    set(HAVE_TEXTUTILS_HAS_WHATSNEW_SUPPORT TRUE)
-endif()
-
 include_directories(
     ${pim-data-exporter_SOURCE_DIR}
     ${pim-data-exporter_BINARY_DIR}
@@ -173,7 +169,12 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"pimdataexporter\")
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
+if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
+    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
+    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
+endif()
+ecm_set_disabled_deprecation_versions(QT 6.11.0 KF 6.22.0)
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== console/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2026 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

include_directories(
    ${AKONADI_INCLUDE_DIR}
    ${pim-data-exporter_SOURCE_DIR}/core/
)
add_executable(pimdataexporterconsole)

target_sources(
    pimdataexporterconsole
    PRIVATE
        importexportprogressindicatorconsole.cpp
        pimdataexporterconsole.cpp
        loginfo.cpp
        loginfile.cpp
        main.cpp
        importexportprogressindicatorconsole.h
        pimdataexporterconsole.h
        loginfo.h
        loginfile.h
)

ecm_qt_declare_logging_category(pimdataexporterconsole HEADER pimdataexportconsole_debug.h IDENTIFIER PIMDATAEXPORTERCONSOLE_LOG CATEGORY_NAME org.kde.pim.pimdataexporterconsole
        DESCRIPTION "pimdataexporter (pimdataexporter console)"
        OLD_CATEGORY_NAMES log_pimsettingexporterconsole org.kde.pim.pimsettingexporterconsole
        EXPORT PIMDATAEXPORTER
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        pimdataexporterconsole
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()

target_link_libraries(
    pimdataexporterconsole
    KF6::ConfigCore
    KF6::CoreAddons
    KF6::I18n
    KF6::Archive
    KPim6::AkonadiCore
    KPim6::MailCommon
    pimdataexporterprivate
)
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()
install(
    TARGETS
        pimdataexporterconsole
        ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

=== core/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2026 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_library(pimdataexporterprivate)

target_sources(
    pimdataexporterprivate
    PRIVATE
        calendar/exportcalendarjobinterfaceimpl.cpp
        calendar/importcalendarjobinterfaceimpl.cpp
        addressbook/exportaddressbookjobinterfaceimpl.cpp
        addressbook/importaddressbookjobinterfaceimpl.cpp
        mail/exportmailjobinterfaceimpl.cpp
        mail/importmailjobinterfaceimpl.cpp
        mail/importexportmailutil.cpp
        mail/smtpmailtransport.cpp
        alarm/exportalarmjobinterfaceimpl.cpp
        alarm/importalarmjobinterfaceimpl.cpp
        calendar/exportcalendarjobinterface.cpp
        calendar/importcalendarjobinterface.cpp
        addressbook/exportaddressbookjobinterface.cpp
        addressbook/importaddressbookjobinterface.cpp
        alarm/importalarmjobinterface.cpp
        alarm/exportalarmjobinterface.cpp
        mail/exportmailjobinterface.cpp
        mail/importmailjobinterface.cpp
        xml/templateselection.cpp
        akregator/exportakregatorjobinterface.cpp
        akregator/importakregatorjobinterface.cpp
        abstractimportexportjob.cpp
        pimdataexporterkernel.cpp
        utils.cpp
        archivestorage.cpp
        synchronizeresourcejob.cpp
        pimdatabackuprestore.cpp
        importexportprogressindicatorbase.cpp
        pimdatabackupthread.cpp
        exportresourcearchivejob.cpp
        pimdataimportdatainfofile.cpp
        resourceconverterbase.cpp
        resourceconverterimpl.cpp
        storeresourcejob.cpp
        backupresourcefilejobbase.cpp
        backupresourcefilejobimpl.cpp
        utils.h
        alarm/exportalarmjobinterface.h
        alarm/importalarmjobinterfaceimpl.h
        alarm/exportalarmjobinterfaceimpl.h
        alarm/importalarmjobinterface.h
        abstractimportexportjob.h
        backupresourcefilejobimpl.h
        akregator/importakregatorjobinterface.h
        akregator/exportakregatorjobinterface.h
        pimdatabackupthread.h
        xml/templateselection.h
        pimdataimportdatainfofile.h
        mail/smtpmailtransport.h
        mail/importmailjobinterfaceimpl.h
        mail/importmailjobinterface.h
        mail/exportmailjobinterfaceimpl.h
        mail/importexportmailutil.h
        mail/exportmailjobinterface.h
        resourceconverterbase.h
        storeresourcejob.h
        calendar/exportcalendarjobinterfaceimpl.h
        calendar/importcalendarjobinterfaceimpl.h
        calendar/exportcalendarjobinterface.h
        calendar/importcalendarjobinterface.h
        pimdataexporterkernel.h
        importexportprogressindicatorbase.h
        resourceconverterimpl.h
        archivestorage.h
        pimdataexportercore_private_export.h
        pimdatabackuprestore.h
        addressbook/exportaddressbookjobinterface.h
        addressbook/exportaddressbookjobinterfaceimpl.h
        addressbook/importaddressbookjobinterfaceimpl.h
        addressbook/importaddressbookjobinterface.h
        exportresourcearchivejob.h
        synchronizeresourcejob.h
        backupresourcefilejobbase.h
        mail/exportmailfolderattributejob.h
        mail/exportmailfolderattributejob.cpp
        mail/exportmailfolderattributejobimpl.h
        mail/exportmailfolderattributejobimpl.cpp
        mail/importmailfolderattributejob.h
        mail/importmailfolderattributejob.cpp
        mail/importmailfolderattributejobimpl.h
        mail/importmailfolderattributejobimpl.cpp
)

ecm_qt_declare_logging_category(pimdataexporterprivate HEADER pimdataexportcore_debug.h IDENTIFIER PIMDATAEXPORTERCORE_LOG CATEGORY_NAME org.kde.pim.pimdataexportercore
        DESCRIPTION "pimdataexporter (pimdataexporter lib core)"
        OLD_CATEGORY_NAMES log_pimsettingexportercore org.kde.pim.pimsettingexportercore
        EXPORT PIMDATAEXPORTER
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        pimdataexporterprivate
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()

generate_export_header(pimdataexporterprivate BASE_NAME pimdataexporter)

target_link_libraries(
    pimdataexporterprivate
    PRIVATE
        KPim6::AkonadiCore
        KPim6::Mime
        KPim6::MailTransport
        KPim6::MailCommon
        KF6::Archive
        KPim6::PimCommonAkonadi
        KF6::I18n
        KF6::CalendarCore
)

set_target_properties(
    pimdataexporterprivate
    PROPERTIES
        VERSION
            ${KDEPIM_LIB_VERSION}
        SOVERSION
            ${KDEPIM_LIB_SOVERSION}
)

install(
    TARGETS
        pimdataexporterprivate
        ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
    LIBRARY
        NAMELINK_SKIP
)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== doc/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2026 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
########### install files ###############
#
#
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR pimdataexporter)

=== gui/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2026 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_executable(pimdataexporter)

if(TARGET KF6::UserFeedbackWidgets)
    add_definitions(-DWITH_KUSERFEEDBACK)
endif()

if(TARGET KF6::DBusAddons)
    add_definitions(-DHAVE_KDBUSADDONS)
endif()

set(pimdataexporter_userfeedback_SRCS)
if(TARGET KF6::UserFeedbackWidgets)
    target_sources(
        pimdataexporter
        PRIVATE
            userfeedback/userfeedbackmanager.cpp
            userfeedback/pimdataexporteduserfeedbackprovider.cpp
            userfeedback/userfeedbackmanager.h
            userfeedback/pimdataexporteduserfeedbackprovider.h
    )
endif()

include_directories(${pim-data-exporter_SOURCE_DIR}/core/)

kconfig_add_kcfg_files(pimdataexporter settings/pimdataexporterglobalconfig.kcfgc)

target_sources(
    pimdataexporter
    PRIVATE
        widgets/selectiontypetreewidget.cpp
        widgets/logwidget.cpp
        widgets/pimdataexporterconfigurewidget.cpp
        dialog/selectiontypedialog.cpp
        dialog/backupfilestructureinfodialog.cpp
        dialog/showarchivestructuredialog.cpp
        dialog/synchronizeresourcedialog.cpp
        dialog/pimdataexporterconfiguredialog.cpp
        job/fullsynchronizeresourcesjob.cpp
        trayicon/pimdatatrayicon.cpp
        pimdatabackuprestoreui.cpp
        importexportprogressindicatorgui.cpp
        pimdataexporterwindow.cpp
        pimdatacommandlineoption.cpp
        main.cpp
        pimdataexporter.qrc
        pimdatacommandlineoption.h
        job/fullsynchronizeresourcesjob.h
        trayicon/pimdatatrayicon.h
        dialog/backupfilestructureinfodialog.h
        dialog/pimdataexporterconfiguredialog.h
        dialog/selectiontypedialog.h
        dialog/showarchivestructuredialog.h
        dialog/synchronizeresourcedialog.h
        pimdataexporterwindow.h
        widgets/selectiontypetreewidget.h
        widgets/pimdataexporterconfigurewidget.h
        widgets/logwidget.h
        pimdatabackuprestoreui.h
        importexportprogressindicatorgui.h
)

#TODO create lib

ecm_qt_declare_logging_category(pimdataexporter HEADER pimdataexportgui_debug.h IDENTIFIER PIMDATAEXPORTERGUI_LOG CATEGORY_NAME org.kde.pim.pimdataexportergui)
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        pimdataexporter
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()

if(TARGET KF6::UserFeedbackWidgets)
    target_link_libraries(pimdataexporter PRIVATE KF6::UserFeedbackWidgets)
endif()
if(TARGET KF6::IconThemes)
    target_link_libraries(pimdataexporter PRIVATE KF6::IconThemes)
endif()
target_link_libraries(
    pimdataexporter
    PRIVATE
        KF6::XmlGui
        KPim6::MailCommon
        KPim6::PimCommon
        pimdataexporterprivate
        KF6::Archive
        KF6::ItemViews
        KF6::KIOFileWidgets
        KF6::Notifications
        KF6::I18n
        KF6::Crash
        KF6::StatusNotifierItem
        ${pimdataexporter_userfeedback_LIB}
        KF6::WidgetsAddons
        KF6::TextCustomEditor
        KF6::TextAddonsWidgets
)

if(TARGET KF6::DBusAddons)
    target_link_libraries(pimdataexporter PRIVATE KF6::DBusAddons)
endif()

install(
    TARGETS
        pimdataexporter
        ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(PROGRAMS org.kde.pimdataexporter.desktop DESTINATION ${KDE_INSTALL_APPDIR})

install(FILES settings/pimdataexporterglobalconfig.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

if(BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

=== console/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2026 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

include_directories(${pim-data-exporter_BINARY_DIR}/console/)

ecm_qt_declare_logging_category(pimdataexporterconsole_loginfiletest_SRCS HEADER pimdataexportconsole_debug.h IDENTIFIER PIMDATAEXPORTERCONSOLE_LOG CATEGORY_NAME org.kde.pim.pimdataexporterconsole)

add_executable(
    pimdataexporterconsole_loginfiletest
    loginfiletest.cpp
    loginfiletest.h
    ../loginfile.cpp
    ${pimdataexporterconsole_loginfiletest_SRCS}
)
add_test(NAME pimdataexporterconsole_loginfiletest COMMAND pimdataexporterconsole_loginfiletest)
ecm_mark_as_test(pimdataexporterconsole_loginfiletest)
target_link_libraries(pimdataexporterconsole_loginfiletest Qt::Test)

=== core/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2026 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DPIMDATAINSTALL_DIR="${CMAKE_CURRENT_BINARY_DIR}/install")

####
add_executable(
    utilstest
    utilstest.cpp
    utilstest.h
)
add_test(NAME utilstest COMMAND utilstest)
ecm_mark_as_test(utilstest)
target_link_libraries(
    utilstest
    Qt::Test
    pimdataexporterprivate
    KF6::ConfigCore
)

#####
add_library(
    test_resourceconverter
    STATIC
    resourceconvertertest.cpp
    generatelistfilefromarchive.cpp
    loadlistfromfile.cpp
    compareexportfile.cpp
    compareimportfile.cpp
    testexportfile.cpp
    testimportfile.cpp
    logcreatingressource.cpp
    comparefilehelper.cpp
    exportimportutil.cpp
    saveresourceconfigtest.cpp
    compareloggingfile.cpp
    testbackupresourcefilejob.cpp
    importexportprogressindicatortest.cpp
    resourceconvertertest.h
    generatelistfilefromarchive.h
    loadlistfromfile.h
    compareexportfile.h
    compareimportfile.h
    testexportfile.h
    testimportfile.h
    logcreatingressource.h
    comparefilehelper.h
    exportimportutil.h
    saveresourceconfigtest.h
    compareloggingfile.h
    testbackupresourcefilejob.h
    importexportprogressindicatortest.h
)
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        test_resourceconverter
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
target_link_libraries(
    test_resourceconverter
    PUBLIC
        KF6::ConfigCore
        pimdataexporterprivate
        KF6::Archive
        Qt::Test
        KPim6::AkonadiMime
        KPim6::AkonadiCore
        KF6::WidgetsAddons
)

#####
add_executable(
    resourceconverterclasstest
    resourceconverterclasstest.cpp
    resourceconverterclasstest.h
)
add_test(NAME resourceconverterclasstest COMMAND resourceconverterclasstest)
ecm_mark_as_test(resourceconverterclasstest)
target_link_libraries(
    resourceconverterclasstest
    Qt::Test
    KF6::ConfigCore
    test_resourceconverter
)

#####
add_executable(
    backupresourcefilejobimpltest
    backupresourcefilejobimpltest.cpp
    backupresourcefilejobimpltest.h
)
add_test(NAME backupresourcefilejobimpltest COMMAND backupresourcefilejobimpltest)
ecm_mark_as_test(backupresourcefilejobimpltest)
target_link_libraries(
    backupresourcefilejobimpltest
    Qt::Test
    KF6::ConfigCore
    pimdataexporterprivate
    KF6::Archive
)
###

add_subdirectory(calendar)
add_subdirectory(addressbook)
add_subdirectory(alarm)
add_subdirectory(akregator)
add_subdirectory(mail)

=== gui/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2026 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DPIMDATAEXPORTER_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data")

set(pimdataexporter_kcfg_SRCS ../settings/pimdataexporterglobalconfig.kcfgc)

kconfig_add_kcfg_files(pimdataexporter_kcfg_SRCS ${pimdataexporter_kcfg_SRCS})

add_executable(
    synchronizeresourcedialogtest
    synchronizeresourcedialogtest.cpp
    synchronizeresourcedialogtest.h
    ../dialog/synchronizeresourcedialog.cpp
)
add_test(NAME synchronizeresourcedialogtest COMMAND synchronizeresourcedialogtest)
ecm_mark_as_test(synchronizeresourcedialogtest)
target_link_libraries(
    synchronizeresourcedialogtest
    Qt::Test
    Qt::Widgets
    KF6::I18n
    KF6::ItemViews
    KF6::ConfigGui
)

set(pimdataexporter_userfeedback_LIB)
if(TARGET KF6::UserFeedbackWidgets)
    set(pimdataexporter_userfeedback_LIB KF6::UserFeedbackWidgets)
endif()

#add_executable(pimdataexporterconfiguredialogtest pimdataexporterconfiguredialogtest.cpp ../dialog/pimdataexporterconfiguredialog.cpp ../widgets/pimdataexporterconfigurewidget.cpp ${pimdataexporter_kcfg_SRCS})
#add_test(NAME pimdataexporterconfiguredialogtest COMMAND pimdataexporterconfiguredialogtest)
#ecm_mark_as_test(pimdataexporterconfiguredialogtest)
#target_link_libraries(pimdataexporterconfiguredialogtest ${pimdataexporter_userfeedback_LIB} Qt::Test Qt::Widgets KF6::I18n KF6::ItemViews KF6::ConfigCore KF6::ConfigGui KF6::WidgetsAddons)

add_executable(
    pimdataexporterconfigurewidgettest
    pimdataexporterconfigurewidgettest.cpp
    pimdataexporterconfigurewidgettest.h
    ../widgets/pimdataexporterconfigurewidget.cpp
    ${pimdataexporter_kcfg_SRCS}
)
add_test(NAME pimdataexporterconfigurewidgettest COMMAND pimdataexporterconfigurewidgettest)
ecm_mark_as_test(pimdataexporterconfigurewidgettest)
target_link_libraries(
    pimdataexporterconfigurewidgettest
    Qt::Test
    Qt::Widgets
    KF6::I18n
    KF6::ItemViews
    KF6::ConfigCore
    KF6::ConfigGui
)

add_executable(
    selectiontypetreewidgettest
    selectiontypetreewidgettest.cpp
    selectiontypetreewidgettest.h
    ../widgets/selectiontypetreewidget.cpp
    ${pimdataexporter_kcfg_SRCS}
)
add_test(NAME selectiontypetreewidgettest COMMAND selectiontypetreewidgettest)
ecm_mark_as_test(selectiontypetreewidgettest)
target_link_libraries(
    selectiontypetreewidgettest
    Qt::Test
    Qt::Widgets
    KF6::I18n
    KF6::ItemViews
    pimdataexporterprivate
    KF6::ConfigCore
    KF6::ConfigGui
    KPim6::PimCommonAkonadi
)

add_executable(
    selectiontypedialogtest
    selectiontypedialogtest.h
    selectiontypedialogtest.cpp
    ../widgets/selectiontypetreewidget.cpp
    ../dialog/selectiontypedialog.cpp
    ${pimdataexporter_kcfg_SRCS}
)
add_test(NAME selectiontypedialogtest COMMAND selectiontypedialogtest)
ecm_mark_as_test(selectiontypedialogtest)
target_link_libraries(
    selectiontypedialogtest
    Qt::Test
    Qt::Widgets
    KF6::I18n
    KF6::ItemViews
    pimdataexporterprivate
    KF6::ConfigCore
    KF6::ConfigGui
    KPim6::PimCommonAkonadi
)

=== gui/tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2026 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
include_directories(
    ${pim-data-exporter_SOURCE_DIR}/core/
    ${pim-data-exporter_BINARY_DIR}/core/
    ${pim-data-exporter_SOURCE_DIR}/gui/
    ${pim-data-exporter_BINARY_DIR}/gui/
)

set(selectiontreewidget_gui_SRCS
    selectiontreewidget_gui.cpp
    ../dialog/selectiontypedialog.cpp
    ../widgets/selectiontypetreewidget.cpp
    ../pimdataexportgui_debug.cpp
)
add_executable(selectiontreewidget_gui ${selectiontreewidget_gui_SRCS})
target_link_libraries(
    selectiontreewidget_gui
    KPim6::AkonadiCore
    KPim6::AkonadiPrivate
    KPim6::MailCommon
    KPim6::PimCommon
    KF6::Archive
    pimdataexporterprivate
    KF6::ItemViews
    KF6::I18n
)

set(showarchivestructuredialog_gui_SRCS
    showarchivestructuredialog_gui.cpp
    ../dialog/showarchivestructuredialog.cpp
    ../pimdataexportgui_debug.cpp
)
add_executable(showarchivestructuredialog_gui ${showarchivestructuredialog_gui_SRCS})
target_link_libraries(
    showarchivestructuredialog_gui
    KPim6::AkonadiCore
    KPim6::AkonadiPrivate
    KPim6::MailCommon
    KPim6::PimCommon
    KF6::Archive
    pimdataexporterprivate
    KF6::ItemViews
    KF6::I18n
    KF6::KIOWidgets
)

=== core/autotests/addressbook/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2026 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DPIMDATAEXPORTER_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data")

set(exportaddressbookjobinterfacetest_SRCS
    exportaddressbookjobinterfacetest.cpp
    exportaddressbookjobinterfacetestimpl.cpp
    exportaddressbookjobinterfacetest.h
    exportaddressbookjobinterfacetestimpl.h
)

add_executable(exportaddressbookjobinterfacetest ${exportaddressbookjobinterfacetest_SRCS})
add_test(NAME exportaddressbookjobinterfacetest COMMAND exportaddressbookjobinterfacetest)
ecm_mark_as_test(exportaddressbookjobinterfacetest)
target_link_libraries(
    exportaddressbookjobinterfacetest
    Qt::Test
    pimdataexporterprivate
    KF6::ConfigCore
    test_resourceconverter
)
#####

set(importaddressbookjobinterfacetest_SRCS
    importaddressbookjobinterfacetest.cpp
    importaddressbookjobinterfacetestimpl.cpp
    importaddressbookjobinterfacetest.h
    importaddressbookjobinterfacetestimpl.h
)

add_executable(importaddressbookjobinterfacetest ${importaddressbookjobinterfacetest_SRCS})
add_test(NAME importaddressbookjobinterfacetest COMMAND importaddressbookjobinterfacetest)
ecm_mark_as_test(importaddressbookjobinterfacetest)
target_link_libraries(
    importaddressbookjobinterfacetest
    Qt::Test
    pimdataexporterprivate
    KF6::ConfigCore
    test_resourceconverter
)

=== core/autotests/akregator/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2026 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DPIMDATAEXPORTER_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data")

set(exportakregatorjobinterfacetest_SRCS
    exportakregatorjobinterfacetest.cpp
    exportakregatorjobinterfacetestimpl.cpp
    exportakregatorjobinterfacetest.h
    exportakregatorjobinterfacetestimpl.h
)

add_executable(exportakregatorjobinterfacetest ${exportakregatorjobinterfacetest_SRCS})
add_test(NAME exportakregatorjobinterfacetest COMMAND exportakregatorjobinterfacetest)
ecm_mark_as_test(exportakregatorjobinterfacetest)
target_link_libraries(
    exportakregatorjobinterfacetest
    Qt::Test
    pimdataexporterprivate
    KF6::ConfigCore
    test_resourceconverter
)

#####

set(importakregatorjobinterfacetest_SRCS
    importakregatorjobinterfacetest.cpp
    importakregatorjobinterfacetestimpl.cpp
    importakregatorjobinterfacetest.h
    importakregatorjobinterfacetestimpl.h
)

add_executable(importakregatorjobinterfacetest ${importakregatorjobinterfacetest_SRCS})
add_test(NAME importakregatorjobinterfacetest COMMAND importakregatorjobinterfacetest)
ecm_mark_as_test(importakregatorjobinterfacetest)
target_link_libraries(
    importakregatorjobinterfacetest
    Qt::Test
    pimdataexporterprivate
    KF6::ConfigCore
    test_resourceconverter
)

=== core/autotests/alarm/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2026 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DPIMDATAEXPORTER_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data")

set(exportalarmjobinterfacetest_SRCS
    exportalarmjobinterfacetest.cpp
    exportalarmjobinterfacetestimpl.cpp
    exportalarmjobinterfacetest.h
    exportalarmjobinterfacetestimpl.h
)

add_executable(exportalarmjobinterfacetest ${exportalarmjobinterfacetest_SRCS})
add_test(NAME exportalarmjobinterfacetest COMMAND exportalarmjobinterfacetest)
ecm_mark_as_test(exportalarmjobinterfacetest)
target_link_libraries(
    exportalarmjobinterfacetest
    Qt::Test
    pimdataexporterprivate
    KF6::ConfigCore
    test_resourceconverter
)

#####

set(importalarmjobinterfacetest_SRCS
    importalarmjobinterfacetest.cpp
    importalarmjobinterfacetestimpl.cpp
    importalarmjobinterfacetest.h
    importalarmjobinterfacetestimpl.h
)

add_executable(importalarmjobinterfacetest ${importalarmjobinterfacetest_SRCS})
add_test(NAME importalarmjobinterfacetest COMMAND importalarmjobinterfacetest)
ecm_mark_as_test(importalarmjobinterfacetest)
target_link_libraries(
    importalarmjobinterfacetest
    Qt::Test
    pimdataexporterprivate
    KF6::ConfigCore
    test_resourceconverter
)

=== debian/changelog ===
pim-data-exporter (4:25.12.1+p24.04+vunstable+git20260204.0132-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 04 Feb 2026 01:32:21 +0000

## pim-data-exporter 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
-# SPDX-FileCopyrightText: 2011-2026 Laurent Montel <montel@kde.org>
+# SPDX-FileCopyrightText: 2011-2025 Laurent Montel <montel@kde.org>
 # SPDX-License-Identifier: BSD-3-Clause
-cmake_minimum_required(VERSION 3.27)
-set(PIM_VERSION "6.6.40")
+cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
+set(PIM_VERSION "6.6.2")
 project(pim-data-exporter VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "26.03.40")
-set(KF_MIN_VERSION "6.21.0")
+set(RELEASE_SERVICE_VERSION "25.12.2")
+set(KF_MIN_VERSION "6.18.0")
 # Update it for each release
-set(PIMDATAEXPORTER_RELEASE_VERSION_DATE "26.03.10") # yy.MM.dd
+set(PIMDATAEXPORTER_RELEASE_VERSION_DATE "26.02.05") # yy.MM.dd
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -65,7 +65,7 @@
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION alpha)
+set(KDEPIM_DEV_VERSION)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -77,7 +77,7 @@
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
-set(QT_REQUIRED_VERSION "6.9.0")
+set(QT_REQUIRED_VERSION "6.8.0")
 if(BUILD_TESTING)
     find_package(
         Qt6
@@ -89,14 +89,14 @@
     )
 endif()
 
-set(AKONADI_VERSION "6.6.40")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.40")
-set(KMAILTRANSPORT_LIB_VERSION "6.6.40")
-set(KMIME_LIB_VERSION "6.6.40")
-
-set(MAILCOMMON_LIB_VERSION "6.6.40")
-set(PIMCOMMON_LIB_VERSION "6.6.40")
-set(KTEXTADDONS_MIN_VERSION "1.9.1")
+set(AKONADI_VERSION "6.6.2")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.2")
+set(KMAILTRANSPORT_LIB_VERSION "6.6.2")
+set(KMIME_LIB_VERSION "6.6.2")
+
+set(MAILCOMMON_LIB_VERSION "6.6.2")
+set(PIMCOMMON_LIB_VERSION "6.6.2")
+set(KTEXTADDONS_MIN_VERSION "1.8.0")
 
 # Find KF6 package
 find_package(KF6Archive ${KF_MIN_VERSION} REQUIRED)
@@ -161,6 +161,10 @@
             REQUIRED
 )
 
+if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.44)
+    set(HAVE_TEXTUTILS_HAS_WHATSNEW_SUPPORT TRUE)
+endif()
+
 include_directories(
     ${pim-data-exporter_SOURCE_DIR}
     ${pim-data-exporter_BINARY_DIR}
@@ -169,12 +173,7 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"pimdataexporter\")
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
-    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
-    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
-    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
-endif()
-ecm_set_disabled_deprecation_versions(QT 6.11.0 KF 6.22.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== debian/changelog ===
pim-data-exporter (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 08 Feb 2026 16:44:33 +0000

pim-data-exporter (4:25.12.1-0ubuntu3) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 23:00:47 +0000

pim-data-exporter (4:25.12.1-0ubuntu2) resolute; urgency=medium

  * Add amd64v3 to build architectures.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Jan 2026 11:39:04 +0000

pim-data-exporter (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:19:07 +0000

=== debian/control ===
Source: pim-data-exporter
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               libakonadi-dev (>= 4:25.12.2~),
               libkf6archive-dev (>= 6.6.0~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6itemviews-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6notifications-dev (>= 6.6.0~),
               libkf6statusnotifieritem-dev (>= 6.6.0~),
               libkf6userfeedback-dev (>= 6.6.0~),
               libkf6widgetsaddons-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 25.12.2~),
               libkmailtransport-dev (>= 25.12.2~),
               libkmime-dev (>= 25.12.2~),
               libktextaddons-dev (>= 1.5.4~),
               libmailcommon-dev (>= 4:25.12.2~),
               libpimcommon-dev (>= 4:25.12.2~),
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               xauth,
               xvfb,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/pim-data-exporter
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pim-data-exporter
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pim-data-exporter
Rules-Requires-Root: no

Package: pim-data-exporter
Section: utils
Architecture: amd64 amd64v3 arm64 armhf i386
Depends: kio6, ${misc:Depends}, ${shlibs:Depends},
Description: back up and archive PIM data
 An application to assist you with backing up and archiving PIM data,
 including the necessary configuration, for archival or transfer to another
 computer.
